#!/bin/sh

if [ ! -d ~/bin ]; then
	mkdir ~/bin
fi

# check other installation
if [ -f ~/bin/old_profile.backup ]; then
	echo "~/bin/profile_umpf.backup exist, umpf is already installed"
	echo -n "if you want reinstall umpf system type ./uninstall.sh before"
	echo " ./install.sh"
	exit
fi

# copy binary 
cp umpf.so ~/bin/umpf.so 2>&1>&copyerr
cp keyd ~/bin/keyd 2>&1>&copyerr
cp umpf ~/bin/umpf 2>&1>&copyerr

# check error on copy
if [ -s copyerr ]; then
	echo "install error! please fix the following:"
	cat copyerr
	exit 1
fi

rm -f copyerr

echo " Installation upgrade your ~/.[bash|tcsh]rc file and save the old on"
echo " ~/bin/umpf.backup, you must do not remove this backup file, in addiction"
echo " if you run X you must star yours xterm with -ls option, or umpf work "
echo " exactly only under login shells"


BASEN=`which basename`
if [ `$BASEN $SHELL` = "bash" ]; then
	if [ -f ~/.bash_profile ]; then
		# make simple backup file
		cp ~/.bash_profile ~/bin/old_profile.backup
	else
		touch ~/bin/old_profile.backup
	fi

	# upgrade profile with blabla banner
	echo "
	# for shared library 
	LD_PRELOAD=$LDPRELOAD:~/bin/umpf.so
	export LD_PRELOAD

	# for \"keyd\" binary
	PATH=\"~/bin:\${PATH}\"
	echo \"for set umpf passphrase run \\\"keyd\\\" \"
	" >> ~/.bash_profile 

	exit;
fi

if [ `$BASEN $SHELL` = "tcsh" ]; then
	if [ -f ~/.tcshrc ]
		# make simple backup file
		cp ~/.tcshrc ~/bin/old_profile.backup
	else
		touch ~/bin/old_profile.backup
	if

	# upgrade profile with blabla banner
	echo "
	# for shared library 
	LD_PRELOAD=$LDPRELOAD:~/bin/umpf.so
	export LD_PRELOAD

	# for \"keyd\" binary
	PATH=\"~/bin:\${PATH}\"
	echo \"for set umpf passphrase run \\\"keyd\\\" \"
	" >> ~/.tcshrc 

	exit;
fi


echo
echo "It seems you don't have bash nor tcsh, the only two sh supported on this"
echo "lamer installation system, I think that you must edit ./install.sh :)"
echo "Please, find the right way for your shell to add"
echo "~/bin to \$LDPRELOAD and \$PATH environment variables."
echo

